<template>
  <v-dialog style="z-index: 99999;" v-model="alert.status" width="500px">
    <v-card class="pa-6" align="center">
      <v-icon style="transform: scale(1.3);" class="mb-5" color="primary" x-large>
        {{ alert.icon ? alert.icon : 'mdi-delete-circle-outline' }}
      </v-icon>
      <p>
        <span
          class="secondary--text"
          v-if="alert.itemName"
          v-html="
            alert.message
              ? `${alert.message} <b>${alert.itemName}</b> ? `
              : 'Mensagem de alertar confirmação'
          "
        ></span>
        <span
          class="secondary--text"
          v-else
          v-html="alert.message ? alert.message : 'Mensagem de alertar confirmação'"
        ></span>
      </p>
      <v-btn
        class="mt-4"
        color="success"
        :style="hover2 && 'padding-left: 17px; padding-right: 17px; color: white'"
        elevation="0"
        :outlined="!hover2"
        @click="cancel"
        @mouseenter="hover2 = true"
        @mouseleave="hover2 = false"
        >{{ alert.messageOk ? alert.messageOk : 'Cancelar' }}</v-btn
      >
      <v-btn
        class="mt-4 ml-2"
        color="error"
        :style="hover && 'color: white'"
        elevation="0"
        :outlined="!hover"
        @click="confirm"
        @mouseover="hover = true"
        @mouseleave="hover = false"
        >{{ alert.messageCancel ? alert.messageCancel : 'Confirmar' }}</v-btn
      >
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  name: 'AlertConfirm',
  props: {
    alert: {
      type: Object,
      //status, icon, itemName, message, messageOk, messageCancel
    },
  },
  data: () => ({
    dialog: true,
    hover: false,
    hover2: false,
  }),
  methods: {
    cancel() {
      this.$emit('clickConfirmAlert')
    },
    confirm() {
      this.$emit('clickCancelAlert')
    },
  },
}
</script>

<style></style>
